/*
 * channeltab.h
 *
 * Copyright 2001 Matthew Stephenson
 * 
 * This file is part of Zic.
 * 
 * Zic is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Zic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Zic; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Look, feel, and userlist icons shamelessly stolen from X-Chat 
 * (www.xchat.org)
 * 
 */

#ifndef CHANNELTAB_H
#define CHANNELTAB_H

#define USERLISTWIDTH 70

#include <qstring.h>
#include <qstringlist.h>
#include <qhbox.h>
#include "irctab.h"
#include "zic.h"
#include "userlist.h"
#include "qpushbutton.h"
#include "ircchannel.h"
#include "ircmessage.h"

class channeltab : public irctab
{
  Q_OBJECT
public:
  channeltab( zic *parent, ircchannel *channel, QString label = "<none>");
  ~channeltab();

private:
  QHBox *hbox;
  ircuserlist *userlist;
  QPushButton *userlistbutton;
  bool b_userlistvisible;
  ircchannel *channel;

private slots:
  void showHideUserlist();

public slots:
  void join( ircuser *user );
  void part( ircuser *user, QString reason );
  void quit( ircuser *user, QString reason );
  void kick( ircuser *user, QString nick, QString reason );
  void names( QStringList *names );
  void endofnames();
  void mode(ircmode * mode);
  void nick(QString from, QString to);
};


#endif
