/*
 * connectbox.h
 *
 * Copyright 2001 Matthew Stephenson
 * 
 * This file is part of Zic.
 * 
 * Zic is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Zic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Zic; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Look, feel, and userlist icons shamelessly stolen from X-Chat 
 * (www.xchat.org)
 * 
 */ 

#include <qdialog.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qvbox.h>
#include <qgrid.h>
#include <qlabel.h>
#include <qmessagebox.h>
#include <qtabwidget.h>
#include <qpe/config.h>
#include <qlistbox.h>
#include <qlist.h>
#include <qregexp.h>
#include "presetbox.h"
#include "options.h"

class connectbox : public QDialog
{
  Q_OBJECT
public:
  connectbox(QString *nick, QString *server, uint *port, QStringList *channels);
  ~connectbox();

private:
  void loadSettings();
  bool ConnectQuick();
  bool ConnectPreset();
  void populateListbox();
  void savePresets();

private slots:
  void setNick(const QString & nick);
  void setServer(const QString & server); 
  void ConnectButtonPush();
  void addPreset();
  void editPreset();
  void delPreset();

protected:
  void accept();

private:
  QTabWidget *tabwidget;
  QVBox *vbox;
  QPushButton *connectButton;
  QString *server;
  QString *nick;
  uint *port;
  QStringList *channels;

  QHBox *presetHbox;
  QVBox *presetVbox;
  QListBox *presetListBox;
  QPushButton *presetAddButton;
  QPushButton *presetDelButton;
  QPushButton *presetEditButton;
  QList<preset> *presets;

  QVBox *quickVbox;
  QGrid *quickGrid;
  QLineEdit *quickServerText;
  QLineEdit *quickNickText;

};


