/*
 * ircchannel.h
 *
 * Copyright 2001 Matthew Stephenson
 * 
 * This file is part of Zic.
 * 
 * Zic is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Zic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Zic; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Look, feel, and userlist icons shamelessly stolen from X-Chat 
 * (www.xchat.org)
 * 
 */

#ifndef IRCCHANNEL_H
#define IRCCHANNEL_H

#include <qobject.h>
#include <qstring.h>
#include <qstringlist.h>
#include <qsortedlist.h>
#include "ircuser.h"
#include "ircmessage.h"

class ircchannel : public QObject
{
  Q_OBJECT
    
public:
  ircchannel( QString name );
  ~ircchannel();
  
  QString name();
  void parseNames( QStringList *names );
  void endOfNames();
  QList<channeluser> * users();
  channeluser * findUser( const QString nick );
  void mode( ircmode * mode );
  void join( ircuser *user );
  void part( ircuser *user );
  void nick( QString from, QString to );

private:
  QString s_name;
  bool b_gettingnames;
  QSortedList<channeluser> l_users;

};


#endif
