/*
 * ircmessage.h
 *
 * Copyright 2001 Matthew Stephenson
 * 
 * This file is part of Zic.
 * 
 * Zic is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Zic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Zic; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Look, feel, and userlist icons shamelessly stolen from X-Chat 
 * (www.xchat.org)
 * 
 */

#ifndef IRCMESSAGE_H
#define IRCMESSAGE_H

#include <qobject.h>
#include <qstring.h>
#include <qarray.h>
#include <qtextstream.h>
#include "ircuser.h"

class ircmessage
{

public:
  ircmessage( QString line );
  ~ircmessage();

  ircuser *from();
  QString command();
  QString params( bool stripcolon = false);
  QString params( int start , bool stripcolon = false);
  QString params( int start, int num, bool stripcolon = false);
  QString param( int num, bool stripcolon = false);
  int paramcount();
  bool is_ctcp();

private:
  ircuser *p_from;
  QString s_command;
  QStringList s_param;
  bool b_is_ctcp;
  bool stripcolons( QString *text );

};


class ircmode
{
public:
  ircmode(ircmessage *msg);
  ~ircmode();
  
  QString target();
  ircuser * from();
  QString modes();
  QString arg( int num );
  QString args();

private:  
  ircuser * u_from;
  QString s_target;
  QString s_modes;
  QStringList s_arg;
  
};

#endif
