/*
 * irctab.h
 *
 * Copyright 2001 Matthew Stephenson
 * 
 * This file is part of Zic.
 * 
 * Zic is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Zic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Zic; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Look, feel, and userlist icons shamelessly stolen from X-Chat 
 * (www.xchat.org)
 * 
 */

#ifndef IRCTAB_H
#define IRCTAB_H

#include <qwidget.h>
#include <qvbox.h>
#include <qtabbar.h>
#include <qvbox.h>
#include <qlineedit.h>
#include "zic.h"
#include "ircview.h"

class irctab : public QWidget
{
  Q_OBJECT
public:
  irctab( zic *parent = 0 , QString label = "<none>");
  virtual ~irctab();
  QString label();

protected:
  zic *parent;
  QTab *tab;
  QVBox *vbox;
  ircview *outputbox;
  QLineEdit *inputbox;
  QString s_label;
  int tabID;

signals:
  void amTopTab( irctab *tab );
  void gotUserInput( QString line, irctab *from );

public slots:
  void notice( QString from, QString msg );
  void message( QString msg );
  void privmsg( QString from, QString msg );
  void action( QString from, QString msg );
  void addRawLine( QString line );
  void quit( ircuser *user, QString reason );
  void modes(ircmode *);
  void nick( QString from, QString to );

private slots:
  void userInput();
  void tabBarClicked(int id);

};

#endif
