/*
 * ircview.h
 *
 * Copyright 2001 Matthew Stephenson
 * 
 * This file is part of Zic.
 * 
 * Zic is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Zic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Zic; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Look, feel, and userlist icons shamelessly stolen from X-Chat 
 * (www.xchat.org)
 * 
 */

#ifndef IRCVIEW_H
#define IRCVIEW_H

#include <qtextview.h>
#include <qstring.h>
#include "ircmessage.h"

class ircview : public QTextView
{
  
public:
  ircview(QWidget *parent);
  void redraw();
  QString render( QString line );
  QString stripCodes( QString line );

public slots:
  void addLine(QString line);
  void privmsg( QString from, QString msg );
  void action( QString from, QString msg );
  void notice( QString from, QString msg );
  void message( QString msg );
  void join( QString nick );
  void part( QString nick, QString reason );
  void quit( QString nick, QString reason );
  void kick( QString by, QString nick, QString reason );
  void modes( ircmode * );
  void nick( QString from, QString to );
};

#endif
