/*
 * connectbox.h
 *
 * Copyright 2001 Matthew Stephenson
 * 
 * This file is part of Zic.
 * 
 * Zic is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Zic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Zic; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Look, feel, and userlist icons shamelessly stolen from X-Chat 
 * (www.xchat.org)
 * 
 */ 

#include <qdialog.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qvbox.h>
#include <qhbox.h>
#include <qgrid.h>
#include <qlabel.h>
#include <qmultilineedit.h>
#include <qmessagebox.h>
#include <qlist.h>

struct preset
{
  QString name;
  QString server;
  uint port;
  QString nick;
  QString password;
  QStringList channels;
  QStringList perform;
};

class presetbox : public QDialog
{
  Q_OBJECT
public:
  presetbox(QList<preset> *presets, int index, bool Adding = false);
  ~presetbox();

protected slots:
  void accept();

private:
  QList<preset> *presets;
  bool Adding;
  int index;
  preset *pst; 
  QVBox *vbox;
  QGrid *grid;
  QPushButton *okbutton;
  QPushButton *cancelbutton;
  QHBox *buttonbox;
  QLineEdit *namebox;
  QLineEdit *nickbox;
  QLineEdit *altnickbox;
  QLineEdit *serverbox;
  QLineEdit *portbox;
  QLineEdit *passwordbox;
  QLineEdit *channelsbox;
  QMultiLineEdit *performbox;

};

