/*
 * socket.cpp
 *
 * Copyright 2001 Matthew Stephenson
 * 
 * This file is part of Zic.
 * 
 * Zic is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Zic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Zic; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Look, feel, and userlist icons shamelessly stolen from X-Chat 
 * (www.xchat.org)
 * 
 */

#include "socket.h"

socket::socket() 
  : QSocket()
{
  connect(this, SIGNAL(readyRead()), this, SLOT(dataReady()));
}

int socket::sendLine( QString string ) {
  
  // strip any \r or \n on the end of the string
  while((string.right(1) == "\n") || (string.right(1) == "\r"))
    string = string.left(string.length() - 1);

  // add a \r\n
  
  string.append("\r\n");

  writeBlock( string, string.length() );
}


void socket::dataReady() {
  if(canReadLine())
    emit readyLine();
}



