/*
 * userlist.cpp
 *
 * Copyright 2001 Matthew Stephenson
 * 
 * This file is part of Zic.
 * 
 * Zic is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Zic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Zic; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Look, feel, and userlist icons shamelessly stolen from X-Chat 
 * (www.xchat.org)
 * 
 */

#include "userlist.h"


#include "op.xpm"
#include "voice.xpm"
#include "hop.xpm"

ircuserlist::ircuserlist( QWidget *parent = 0 )
  : QListBox( parent )
{
  
}


void ircuserlist::update( ircchannel *channel )
{
  channeluser* user;
  QList<channeluser> *list;

  clear();

  QPixmap op_icon(op_xpm);
  QPixmap hop_icon(hop_xpm);
  QPixmap voice_icon(voice_xpm);
  
  list = channel->users();
  
  for(user=list->first(); user != 0; user=list->next() ) {
    if(user->is_op())
      insertItem(op_icon, user->nick());
    else if(user->is_hop())
      insertItem(hop_icon, user->nick());
    else if(user->is_voice())
      insertItem(voice_icon, user->nick());
    else
      insertItem(user->nick());
  }
}


