/*
 * zic.cpp
 *
 * Copyright 2001 Matthew Stephenson
 * 
 * This file is part of Zic.
 * 
 * Zic is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Zic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Zic; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Look, feel, and userlist icons shamelessly stolen from X-Chat 
 * (www.xchat.org)
 * 
 */

#include "zic.h"
#include "ircsession.h"
#include "irctab.h"
#include "connection.h"
#include "ircuser.h"
#include "options.h"
#include <qdialog.h>
#include <qmultilineedit.h>
#include <qmessagebox.h>

zic::zic( QWidget *parent, const char *name, WFlags f )
    : QMainWindow( parent, name, f )
{

  setIcon( Resource::loadPixmap("Zic") );

  setCaption( tr("Zic v0.2") );
  
  vbox = new QVBox( this );

  channelStack = new QWidgetStack( vbox );

  
  tabBar = new QTabBar( vbox );
  tabBar->setShape(QTabBar::RoundedBelow);
  tabBar->show();

  setCentralWidget( vbox );

  //connectbox foo( this );

  ircsession *mainui = new ircsession( this );
  mainui->showConnectBox();
}

